| darcs | Source code | Contents | Index
Exec
Documentation
exec :: String -> [String] -> Redirects -> IO ExitCode | Source
exec_interactive :: String -> String -> IO ExitCode | Source
withoutNonBlock :: IO a -> IO a | Source
type Redirects = (Redirect, Redirect, Redirect) | Source
data Redirect | Source
Constructors
AsIs |
Null |
File FilePath |
Stdout |
Instances
Show Redirect
data ExecException | Source
Constructors
ExecException String [String] Redirects String |
Instances
Show ExecException
Typeable ExecException
Produced by Haddock version 2.4.2